## compizconfig-python 0.9.5.94

=== CMakeLists.txt ===
find_package (CompizConfig REQUIRED)
include (LibCompizConfigCommon)

# Hack
set (CMAKE_PROJECT_NAME compizconfig-python)

file (READ ${CMAKE_SOURCE_DIR}/VERSION COMPIZ_RELEASE_VERSION LIMIT 12 OFFSET 0)
string (STRIP ${COMPIZ_RELEASE_VERSION} COMPIZ_RELEASE_VERSION)

set (VERSION ${COMPIZ_RELEASE_VERSION})

add_custom_target (python ALL
		    COMMAND python setup.py build
		    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
		    COMMENT "Generating Python Bytecode")

add_custom_target (install
		   COMMAND python setup.py install --prefix=${CMAKE_INSTALL_PREFIX}
		   WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
		   COMMENT "Installing Python Files")

add_custom_target (clean
		   COMMAND python setup.py clean
		   WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
		   COMMENT "Cleaning Python Files")

add_custom_target (uninstall
		   COMMAND python setup.py uninstall
		   WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
		   COMMENT "Uninstalling Python Files")

compiz_print_configure_header ("CompizConfig Python")
compiz_print_configure_footer ()

compiz_add_git_dist ()
compiz_add_distcheck ()
compiz_add_release ()
compiz_add_release_signoff ()

## compizconfig-python 0.8.4

=== debian/changelog ===
compizconfig-python (0.8.4-3~pointlinux1) stable; urgency=low

  * Non-maintainer upload.
  * Released for Point Linux.

 -- Peter Ryzhenkov <peter.ryzhenkov@gmail.com>  Fri, 01 Mar 2013 05:13:05 -0500

compizconfig-python (0.8.4-3) unstable; urgency=low

  * non-maintainer fork
  * [debian/compat] Bump to Debhelper v7
  * [debian/control]
    - bump Standards-Version to 3.9.3.
    - wrap Build-Depends for easier-reading/cleaner-diffs
    - bump debhelper to (>= 7.0.50~)
    - bump compiz-dev, libcompizconfig-dev to current version
    - B-D on hardening-wrapper, to enable it in debian/rules (see below)
    - change the maintainer's email address.
  * [debian/source/format] convert to '3.0 (quilt)' source format
  * [debian/rules] use dh style, only use necessary overrides
    - DEB_BUILD_HARDENING=1, to suppress lintian warnings

 -- Jasmine Hassan <jasmine.aura@gmail.com>  Thu, 11 Oct 2012 13:37:39 +0200

compizconfig-python (0.8.4-2) unstable; urgency=low

  * Update Build-Depends against compiz-dev to >= 0.8.4 for ABI bump.

 -- Sean Finney <seanius@debian.org>  Thu, 11 Feb 2010 22:05:05 +0100

compizconfig-python (0.8.4-1) unstable; urgency=medium

  * New upstream release.

  [ Sean Finney ]
  * Use python-support for managing python extensions (Closes: #567105)
    - Thanks: Kumar Appaiah
  * RC bugfix, bumped severity.

 -- Sean Finney <seanius@debian.org>  Wed, 03 Feb 2010 11:14:16 +0100

compizconfig-python (0.8.2-2) unstable; urgency=low

  * update debian/install for python >= 2.6 (Closes: #557795).
    Thanks: Luca Falavigna.

 -- Sean Finney <seanius@debian.org>  Tue, 08 Dec 2009 22:20:07 +0100

compizconfig-python (0.8.2-1) unstable; urgency=low

  * New upstream release.
  * add gbp.conf for use with git-buildpackage
  * add gbp.conf for use with git-buildpackage
  * bump compiz-related build-deps to 0.8.2

 -- Sean Finney <seanius@debian.org>  Tue, 07 Apr 2009 10:18:42 +0200

compizconfig-python (0.7.6-1) unstable; urgency=low

  * New upstream release.

 -- Sean Finney <seanius@debian.org>  Tue, 03 Jun 2008 01:06:37 +0200

compizconfig-python (0.7.4-1) unstable; urgency=low

  * New upstream release.
  * Update build-deps on compiz-dev and libcompizconfig-dev to >= 0.6.3

 -- sean finney <seanius@debian.org>  Sun, 18 May 2008 20:02:17 +0200

compizconfig-python (0.6.0.1-2) unstable; urgency=low

  * Update build scripts (rules/pyversion/install) to be more flexible
    in which python modules are built, which should help backporting.
  * Added VCS and Homepage related headers in debian/control.

 -- Sean Finney <seanius@debian.org>  Sat, 05 Jan 2008 20:38:07 +0100

compizconfig-python (0.6.0.1-1) unstable; urgency=low

  * Initial release.

 -- Sean Finney <seanius@debian.org>  Mon, 12 Nov 2007 19:12:32 +0100

=== debian/control ===
Source: compizconfig-python
Priority: extra
Maintainer: Jasmine Hassan <jasmine.aura@gmail.com>
Uploaders: Sean Finney <seanius@debian.org>
Build-Depends: autoconf, automake1.9, autotools-dev,  debhelper (>= 7.0.50~),
 compiz-dev (>= 0.8.4), libcompizconfig-dev (>= 0.8.4), libglib2.0-dev, 
 libtool, libxml2-dev, libxslt1-dev, 
 python-all-dev, python-pyrex, python-support,
 hardening-wrapper,
Standards-Version: 3.9.3
Section: x11
Homepage: http://www.compiz-fusion.org

Package: python-compizconfig
Architecture: any
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
Description: Compizconfig bindings for python
 Compiz Fusion is the result of the re-unification of the Beryl-project
 and the community around the Compiz Window Manager. It seeks to provide
 an easy and fun-to-use windowing environment, allowing use of the
 graphics hardware to provide impressive effects, amazing speed and
 unrivalled usefulness
 .
 This package provides python bindings for the compizconfig system.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_HARDENING=1

# without 2>/dev/null, you get a nice warning:
# pyversions: missing X(S)-Python-Version in control file, fall back to debian/pyversions
# and things break :)
PYVERS=$(shell pyversions -r 2>/dev/null)

#AUTOFOO_DELETE:=aclocal.m4 config.guess config.h.in config.sub configure \
#                depcomp install-sh intltool-extract.in intltool-merge.in \
#                intltool-update.in ltmain.sh missing mkinstalldirs INSTALL

%:
	dh $@

override_dh_auto_configure:
	autoreconf -vi
	for p in $(PYVERS); do \
		mkdir build-$$p; \
		( cd build-$$p && \
		  ../configure --prefix=/usr --disable-static PYTHON=$$p ); \
		ln -s ../../src/compizconfig.pyx build-$$p/src; \
	done

override_dh_auto_build:
	for p in $(PYVERS); do \
		$(MAKE) -C build-$$p; \
	done
	debian/rules clean_automake_cruft

override_dh_auto_install:
	for p in $(PYVERS); do \
		$(MAKE) -C build-$$p DESTDIR=$(CURDIR)/debian/tmp install; \
	done

clean_automake_cruft:
	find . -type f -name Makefile.in -exec rm -f {} ';'
	rm -rf debian/tmp/usr/lib/pkgconfig
#	rm -f $(AUTOFOO_DELETE)

override_dh_clean: clean_automake_cruft
	for p in $(PYVERS); do \
		rm -f build-$$p/src/compizconfig.pyx; \
		[ ! -f build-$$p/Makefile ] || $(MAKE) -C build-$$p distclean; \
	done
	dh_clean

override_dh_install: clean_automake_cruft
	dh_install

## compizconfig-python 0.8.4-2ubuntu2+5.0trisquel1

=== debian/changelog ===
compizconfig-python (0.8.4-2ubuntu2+5.0trisquel1) natty; urgency=low

 * Compiled for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Tue, 18 May 2010 22:10:32 +0200

compizconfig-python (0.8.4-2ubuntu2) maverick; urgency=low

  * debian/control:
    - Split build-depends over multiple lines to make merging easier
    - Update Build-Depends against compiz-dev to >= 0.8.6 for ABI bump.
    - Add Vcs-Bzr link

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 27 Jul 2010 18:33:05 +0200

compizconfig-python (0.8.4-2ubuntu1) maverick; urgency=low

  * Merge from Debian unstable. Changes:
    - Build-Depend on libcompizconfig0-dev rather than virtual
      libcompizconfig-dev.

 -- Stefano Rivera <stefano@rivera.za.net>  Thu, 01 Jul 2010 00:13:13 +0200

compizconfig-python (0.8.2-0ubuntu1) jaunty; urgency=low

  * New upstream release

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 09 Mar 2009 11:27:31 +0100

compizconfig-python (0.7.9+git20081203-0ubuntu1~ppa1) jaunty; urgency=low

  * new git snapshot required for the protobuf support
  * updated to the new python policy

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 03 Mar 2009 15:53:54 +0100

compizconfig-python (0.7.8-0ubuntu1) intrepid; urgency=low

  * New upstream release

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 22 Sep 2008 20:41:25 +0200

compizconfig-python (0.7.7+git20080618-0ubuntu1) intrepid; urgency=low

  * New git snpashot

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 18 Jun 2008 12:26:57 +0200

compizconfig-python (0.7.6-0ubuntu1) intrepid; urgency=low

  * new upstream release

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 02 Jun 2008 11:45:06 +0200

compizconfig-python (0.7.4-0ubuntu1) hardy; urgency=low

  * new upstream release
  * build against latest libcompizconfig

 -- Michael Vogt <michael.vogt@ubuntu.com>  Sat, 05 Apr 2008 13:06:16 +0200

compizconfig-python (0.7.2-0ubuntu1) hardy; urgency=low

  * new upstream release
  * updated standards version
  * updated section

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 07 Mar 2008 15:10:24 +0100

compizconfig-python (0.6.99+git20080214-0ubuntu1) hardy; urgency=low

  * new git snpashot to keep track of libcompizconfig changes
    with regard to autosave

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 14 Feb 2008 17:08:45 +0100

compizconfig-python (0.6.99+git20071127-0ubuntu1) hardy; urgency=low

  * new git HEAD snapshot

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 05 Dec 2007 22:03:03 +0100

compizconfig-python (0.5.2+git20070912-0ubuntu1) gutsy; urgency=low

  * new 0.6 snapshot
  * fixes profile reset

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 12 Sep 2007 19:41:17 +0200

compizconfig-python (0.5.2+git20070829-0ubuntu1) gutsy; urgency=low

  * updated to latest git 0.6.0 branch

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 29 Aug 2007 10:42:08 +0200

compizconfig-python (0.5.2-0ubuntu1) gutsy; urgency=low

  * update to the 0.5.2 releae

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 17 Aug 2007 10:41:18 +0200

compizconfig-python (0.0.0+git20070810-0ubuntu2) gutsy; urgency=low

  * Small fixes to packaging (LP #131035)
  * debian/rules
    - Fix packaging to actually call dh_pycentral
      + Generates correct python dependencies
    - Remove .a and .la files from package
  * debian/control
    - We only build a python2.5 package.  Make this explicit.

 -- Christopher James Halse Rogers (RAOF) <chalserogers@gmail.com>  Wed, 10 Aug 2007 17:56:56 +1000

compizconfig-python (0.0.0+git20070810-0ubuntu1) gutsy; urgency=low

  * new git snapshot
  * b-d on latest libcompizconfig0-dev

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 10 Aug 2007 16:53:51 +0200

compizconfig-python (0.0.0+git20070712-0ubuntu1) gutsy; urgency=low

  * new git snapshot (for new compizconfig-settings-manager)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 12 Jul 2007 09:55:34 +0100

compizconfig-python (0.0.0+git20070703-0ubuntu1) gutsy; urgency=low

  * new git snapshot

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 03 Jul 2007 16:47:16 +0200

compizconfig-python (0.0.0+git20070622-0ubuntu1) gutsy; urgency=low

  * new git snapshot
  * renamed source package to compizconfig-python to match upstream
    name

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 22 Jun 2007 09:01:16 +0200

compizconfig-bindings (0.0.0+git20070615-0ubuntu2) gutsy; urgency=low

  * fix FTBFS

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 19 Jun 2007 17:12:14 +0200

compizconfig-bindings (0.0.0+git20070615-0ubuntu1) gutsy; urgency=low

  * new git snapshot

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 15 Jun 2007 15:15:58 +0200

compizconfig-bindings (0.0.0+git20070613-0ubuntu2) gutsy; urgency=low

  * fix FTBFS by adding missing build-dependencies

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 14 Jun 2007 08:57:57 +0200

compizconfig-bindings (0.0.0+git20070613-0ubuntu1) gutsy; urgency=low

  * Initial upload of the package to Ubuntu

 -- Sebastien Bacher <seb128@canonical.com>  Wed, 13 Jun 2007 15:59:31 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,24 @@
 Source: compizconfig-python
 Priority: extra
-Maintainer: Jasmine Hassan <jasmine.aura@gmail.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
 Uploaders: Sean Finney <seanius@debian.org>
-Build-Depends: autoconf, automake1.9, autotools-dev,  debhelper (>= 7.0.50~),
- compiz-dev (>= 0.8.4), libcompizconfig-dev (>= 0.8.4), libglib2.0-dev, 
- libtool, libxml2-dev, libxslt1-dev, 
- python-all-dev, python-pyrex, python-support,
- hardening-wrapper,
-Standards-Version: 3.9.3
+Build-Depends: autoconf,
+               automake1.9,
+               autotools-dev,
+               compiz-dev (>= 0.8.6),
+               debhelper (>= 5),
+               libcompizconfig0-dev (>= 0.8.4),
+               libglib2.0-dev,
+               libtool,
+               libxml2-dev,
+               libxslt1-dev,
+               python-all-dev,
+               python-pyrex,
+               python-support
+Standards-Version: 3.7.2
 Section: x11
+Vcs-Bzr: http://bazaar.launchpad.net/~compiz/compizconfig-python/ubuntu
 Homepage: http://www.compiz-fusion.org
 
 Package: python-compizconfig

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

# the following files are modified in the build process, but shouldn't be.
#UPSTREAM_PRESERVE:=po/Makefile.in.in

# the following are generated by autoconf and have no way of being deleted
# gracefully. 
AUTOFOO_DELETE:=aclocal.m4 config.guess config.h.in config.sub configure \
                depcomp install-sh intltool-extract.in intltool-merge.in \
                intltool-update.in ltmain.sh missing mkinstalldirs INSTALL

PYVERS=$(shell pyversions -r)

configure: configure-stamp
configure-stamp:
	dh_testdir
	for f in $(UPSTREAM_PRESERVE); do \
		cp -a $$f $$f.preserve; \
	done
	autoreconf -v --install
	for p in $(PYVERS); do \
		mkdir build-$$p; \
		( cd build-$$p && \
		  ../configure --prefix=/usr --disable-static PYTHON=$$p ); \
		ln -s ../../src/compizconfig.pyx build-$$p/src; \
	done
	touch configure-stamp

build: build-stamp
build-stamp: configure-stamp 
	dh_testdir
	for p in $(PYVERS); do \
		$(MAKE) -C build-$$p; \
	done
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	for p in $(PYVERS); do \
		rm -f build-$$p/src/compizconfig.pyx; \
		[ ! -f build-$$p/Makefile ] || $(MAKE) -C build-$$p distclean; \
	done
	# clean up extra automake cruft
	find . -type f -name Makefile.in -print0 | xargs -0 rm -f
	rm -f $(AUTOFOO_DELETE)
	for f in $(UPSTREAM_PRESERVE); do \
		if [ -f $$f.preserve ]; then \
			cp -a $$f.preserve $$f; rm -f $$f.preserve; \
		fi; \
	done
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs
	for p in $(PYVERS); do \
		$(MAKE) -C build-$$p DESTDIR=$(CURDIR)/debian/tmp install; \
	done
	# clean up some upstream cruft
	find $(CURDIR)/debian/tmp -type f -name '*.la' -print0 | xargs -0 rm -f
	rm -rf $(CURDIR)/debian/tmp/usr/lib/pkgconfig

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	uncomment when upstream stops shipping an entry changelog...
#	dh_installchangelogs ChangeLog
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
	find debian/tmp -type f -name '*.la' | xargs rm -f
	rm -rf debian/tmp/usr/lib/pkgconfig
	dh_install --sourcedir=debian/tmp --fail-missing
	dh_pysupport
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## compizconfig-python 0.8.14

=== debian/changelog ===
compizconfig-python (2:0.8.14-0mx15+1) mx; urgency=medium

  * New upstream release.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 21 Jun 2017 09:53:01 -0700

compizconfig-python (0.8.12.1-0~stretch2) stretch; urgency=low

  * Rebuild for testing.
  * Add override dh_strip to no create automatic dbgsym.

 -- Jof Thibaut <compiz@tuxfamily.org>  Wed, 18 May 2016 16:52:55 +0200

compizconfig-python (0.8.12.1-0~jessie1) jessie; urgency=low

  * New upstream release.
    - better detection of Python2.

 -- Jof Thibaut <compiz@tuxfamily.org>  Wed, 18 May 2016 16:49:09 +0200

compizconfig-python (0.8.12-0~jessie1) jessie; urgency=low

  * New upstream release.
    - forked on Github : Compiz Reloaded
  * Switch to format 3.0 (quilt).
  * Add dh-python as build-depends and use dh_python2.
  * Update compat and rules to debhelper 9.
  * Bump standards to version 3.9.6.
  * Change Priority to optional.
  * Update copyright to format 1.0 and Homepage link.
  * Replace old autotools deps with dh-autoreconf.
  * Use cython instead of python-pyrex as build-deps. 

 -- Jof Thibaut <compiz@tuxfamily.org>  Fri, 26 Feb 2016 17:01:57 +0100

=== debian/control ===
Source: compizconfig-python
Section: x11
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
Bugs: mailto: <stevep@mxlinux.org>
XSBC-Original-Maintainer: Jof Thibaut <compiz@tuxfamily.org>
Build-Depends: dh-autoreconf,
               compiz-dev (>= 0.8.14-0~),
               debhelper (>= 9),
               dh-python,
               libcompizconfig-dev (>= 0.8.14-0~),
               libglib2.0-dev,
               libtool,
               libxml2-dev,
               libxslt1-dev,
               python-all-dev (>= 2.7),
               cython
Standards-Version: 3.9.6
X-Python-Version: >= 2.7
Homepage: https://github.com/compiz-reloaded/compizconfig-python

Package: python-compizconfig
Architecture: any
Depends: ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Description: Compizconfig bindings for python
 Compiz Fusion is the result of the re-unification of the Beryl-project
 and the community around the Compiz Window Manager. It seeks to provide
 an easy and fun-to-use windowing environment, allowing use of the
 graphics hardware to provide impressive effects, amazing speed and
 unrivalled usefulness.
 .
 This package provides python bindings for the compizconfig system.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

PYVERS=$(shell pyversions -r)

%:
	dh $@ --with python2 

override_dh_clean:
	for p in $(PYVERS); do \
		rm -f build-$$p/src/compizconfig.pyx; \
		[ ! -f build-$$p/Makefile ] || $(MAKE) -C build-$$p distclean; \
	done
	dh_clean 

override_dh_auto_configure:
	autoreconf -v --install
	for p in $(PYVERS); do \
		mkdir build-$$p; \
		( cd build-$$p && \
		../configure --prefix=/usr --libdir=/usr/lib \
		--disable-static PYTHON=$$p ); \
		ln -s ../../src/compizconfig.pyx build-$$p/src; \
	done

override_dh_auto_build:
	for p in $(PYVERS); do \
		$(MAKE) -C build-$$p; \
	done

override_dh_auto_install:
	for p in $(PYVERS); do \
		$(MAKE) -C build-$$p \
		DESTDIR=$(CURDIR)/debian/python-compizconfig install; \
	done

override_dh_install:
	# clean up some upstream cruft
	find $(CURDIR)/debian/python-compizconfig \
	-type f -name '*.la' -print0 | xargs -0 rm -f
	rm -rf $(CURDIR)/debian/python-compizconfig/usr/lib/pkgconfig
	dh_install
	
override_dh_strip:
	dh_strip --no-automatic-dbgsym

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/release-?(\d\S*)\.tar\.gz/compizconfig-python-$1\.tar\.gz/ \
  https://github.com/compiz-reloaded/compizconfig-python/tags .*/release-?(\d\S*)\.tar\.gz

## compizconfig-python 0.8.16

=== debian/changelog ===
compizconfig-python (2:0.8.16-2) unstable; urgency=medium

  * Upload to unstable.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 15 Dec 2018 02:38:49 +0100

compizconfig-python (2:0.8.16-1) experimental; urgency=medium

  * New upstream release.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 17 Nov 2018 13:48:28 +0100

compizconfig-python (2:0.8.14-1) unstable; urgency=medium

  * Split back packaging according to compiz-reloaded new upstream, and bump
    epoch accordingly
  * Switch to hypra maintenance team
  * Restore non-reloaded package names
  * Keep compatibility with packages in Debian
  * Update copyright file
  * Generate dbgsym packages

 -- Samuel Thibault <sthibault@debian.org>  Sat, 27 Oct 2018 21:11:56 +0200

compizconfig-python (1:0.9.13.1+18.04.20180302-2) unstable; urgency=medium

  * Last compiz-from-launchpad upload.
 
 -- Samuel Thibault <sthibault@debian.org>  Sat, 20 Oct 2018 15:14:00 +0200

compizconfig-python (1:0.8.4-4ubuntu1) maverick; urgency=low

  * Bumped epoch
 
 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 17 Jun 2010 10:12:18 +1000

compizconfig-python (0.8.14-0~stretch1) stretch; urgency=low

  * New upstream release.
    - rename source package to reloaded version
  * Add override dh_strip to no create automatic dbgsym.
  * Bump standards to version 3.9.8.

 -- Jof Thibaut <compiz@tuxfamily.org>  Sun, 25 Jun 2017 11:13:27 +0200

=== debian/control ===
Source: compizconfig-python
Section: x11
Priority: optional
Maintainer: Hypra Team <bugs@hypra.fr>
Uploaders: Cyril Brulebois <cyril@debamax.com>, Samuel Thibault <sthibault@debian.org>
Build-Depends: dh-autoreconf,
               compiz-dev (>= 2:0.8.14-0~),
               debhelper (>= 9),
               dh-python,
               libcompizconfig0-dev (>= 2:0.8.14-0~),
               libglib2.0-dev,
               libtool,
               libxml2-dev,
               libxslt1-dev,
               python-all-dev (>= 2.7),
               cython
Standards-Version: 3.9.8
Homepage: https://github.com/compiz-reloaded/compizconfig-python
Vcs-Git: https://salsa.debian.org/compiz-team/compizconfig-python.git
Vcs-Browser: https://salsa.debian.org/compiz-team/compizconfig-python

Package: python-compizconfig
Architecture: any
Depends: ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Description: Compizconfig bindings for python
 Compiz Reloaded is the result of the re-unification of the Beryl-project
 and the community around the Compiz Window Manager. It seeks to provide
 an easy and fun-to-use windowing environment, allowing use of the
 graphics hardware to provide impressive effects, amazing speed and
 unrivalled usefulness.
 .
 This package provides python bindings for the compizconfig system.

=== debian/rules ===
--- 
+++ 
@@ -40,6 +40,3 @@
 	-type f -name '*.la' -print0 | xargs -0 rm -f
 	rm -rf $(CURDIR)/debian/python-compizconfig/usr/lib/pkgconfig
 	dh_install
-	
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/compizconfig-python-$1\.tar\.gz/ \
  https://github.com/compiz-reloaded/compizconfig-python/tags .*/v?(\d\S*)\.tar\.gz

## compizconfig-python 0.8.18

=== debian/changelog ===
compizconfig-python (2:0.8.18-2) unstable; urgency=medium

  [ Samuel Thibault ]
  * Update usptream URL
  * rules: drop now-duplicate autoreconf call.
  * control: drop now-useless dh-autoreconf build-dep.
  * control: Bump Standards-Version to 4.6.0 (no change)
  * watch: Update URL.
  * control: Set Rules-Requires-Root to no.

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * Bump debhelper from deprecated 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Refer to specific version of license GPL-2+.
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Repository, Repository-Browse.
  * Update standards version to 4.5.1, no changes needed.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 08 Jan 2022 17:50:21 +0100

compizconfig-python (2:0.8.18-1) unstable; urgency=medium

  * New upstream release.
  * watch: switch to gitlab

 -- Samuel Thibault <sthibault@debian.org>  Mon, 06 Apr 2020 01:28:46 +0200

compizconfig-python (2:0.8.16-5) unstable; urgency=medium

  * watch: Generalize pattern.
  * control: Remove Cyril from uploaders.
  * rules: Drop building python2 bindings, use cython3.
  * control: Remove python-all-dev and cython build-deps (Closes: Bug#936322).

 -- Samuel Thibault <sthibault@debian.org>  Sun, 19 Jan 2020 09:08:18 +0100

compizconfig-python (2:0.8.16-4) unstable; urgency=medium

  * Remove python-compizconfig, now useless (Closes: Bug#936322).
  * control: Make python3-compizconfig multi-arch: same.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 30 Aug 2019 09:48:45 +0200

compizconfig-python (2:0.8.16-3) unstable; urgency=medium

  * Add python3 support with python3-compizconfig package.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 26 Jul 2019 10:56:04 +0200

=== debian/control ===
Source: compizconfig-python
Section: x11
Priority: optional
Maintainer: Hypra Team <bugs@hypra.fr>
Uploaders: Samuel Thibault <sthibault@debian.org>
Build-Depends: compiz-dev (>= 2:0.8.14-0~),
               debhelper-compat (= 13),
               dh-python,
               libcompizconfig0-dev (>= 2:0.8.14-0~),
               libglib2.0-dev,
               libtool,
               libxml2-dev,
               libxslt1-dev,
               python3-all-dev,
               cython3
Rules-Requires-Root: no
Standards-Version: 4.6.0
Homepage: https://gitlab.com/compiz/compizconfig-python.git
Vcs-Git: https://salsa.debian.org/compiz-team/compizconfig-python.git
Vcs-Browser: https://salsa.debian.org/compiz-team/compizconfig-python

Package: python3-compizconfig
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: Compizconfig bindings for python3
 Compiz Reloaded is the result of the re-unification of the Beryl-project
 and the community around the Compiz Window Manager. It seeks to provide
 an easy and fun-to-use windowing environment, allowing use of the
 graphics hardware to provide impressive effects, amazing speed and
 unrivalled usefulness.
 .
 This package provides python3 bindings for the compizconfig system.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

PY3VERS=$(shell py3versions -r)

%:
	dh $@ --with python3

override_dh_clean:
	for p in $(PY3VERS); do \
		rm -f build-$$p/src/compizconfig.pyx; \
		[ ! -f build-$$p/Makefile ] || $(MAKE) -C build-$$p distclean; \
	done
	dh_clean

override_dh_auto_configure:
	for p in $(PY3VERS); do \
		mkdir build-$$p; \
		( cd build-$$p && \
		../configure --prefix=/usr --libdir=/usr/lib \
		--disable-static PYTHON=$$p --with-cython=cython3); \
		ln -s ../../src/compizconfig.pyx build-$$p/src; \
	done

override_dh_auto_build:
	for p in $(PY3VERS); do \
		$(MAKE) -C build-$$p; \
	done

override_dh_auto_install:
	for p in $(PY3VERS); do \
		$(MAKE) -C build-$$p \
		DESTDIR=$(CURDIR)/debian/python3-compizconfig install; \
	done

override_dh_install:
	# clean up some upstream cruft
	find $(CURDIR)/debian/python3-compizconfig \
	-type f -name '*.la' -print0 | xargs -0 rm -f
	rm -rf $(CURDIR)/debian/python3-compizconfig/usr/lib/pkgconfig
	dh_install

=== debian/watch ===
version=3
https://gitlab.com/compiz/compizconfig-python/-/tags \
/compiz/compizconfig-python/.*/compizconfig-python-v?@ANY_VERSION@@ARCHIVE_EXT@

## compizconfig-python 0.9.2.1+git20110224.5ccb653e

=== debian/changelog ===
compizconfig-python (0.9.2.1+git20110224.5ccb653e-1) experimental; urgency=low

  [ Janos Guljas ]
  * New upstream release.
  * Bump standards to 3.9.1.
  * Switch to dpkg format 3.0 (quilt)
  * Rewrite debian/rules to use debhelper 7.
  * Add debian/watch file.
  * Add patch
    * 01-fix-extension-dir.patch
      - Remove Makefile so dh_python2 can install extension in a right place

  [ Sean Finney ]
  * Add common 3.0 local options

 -- Sean Finney <seanius@debian.org>  Sat, 05 Mar 2011 23:22:44 +0000

=== debian/control ===
Source: compizconfig-python
Priority: extra
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Uploaders: Sean Finney <seanius@debian.org>
Build-Depends: debhelper (>= 7.0.50~), libtool, compiz-dev (>= 0.9.0),
 libglib2.0-dev, libxml2-dev, libxslt1-dev, libcompizconfig-dev (>= 0.9.0),
 python-all-dev, python-pyrex, cython
Standards-Version: 3.9.1
XS-Python-Version: >= 2.6
Section: python
Homepage: http://www.compiz.org/
Vcs-Git: git://git.debian.org/git/pkg-xorg/bling/compizconfig-python.git
Vcs-Browser: http://git.debian.org/?p=pkg-xorg/bling/compizconfig-python.git

Package: python-compizconfig
Architecture: any
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
XB-Python-Version: ${python:Versions}
Description: Compizconfig bindings for Python
 Compiz Fusion is the result of the re-unification of the Beryl-project
 and the community around the Compiz Window Manager. It seeks to provide
 an easy and fun-to-use windowing environment, allowing use of the
 graphics hardware to provide impressive effects, amazing speed and
 unrivalled usefulness.
 .
 This package provides Python bindings for the compizconfig system.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2

override_dh_clean:
	dh_clean
	rm -f installed_files src/compizconfig.c

=== debian/watch ===
version=3
http://releases.compiz.org/([\d\.]+)[\d]/ compizconfig-python-([\d\.]+)\.tar\.gz
